Package uk.ac.starlink.datanode.nodes

# Class ZipStreamDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.ZipArchiveDataNode
uk.ac.starlink.datanode.nodes.ZipStreamDataNode

All Implemented Interfaces:
  `DataNode`

public class ZipStreamDataNode extends ZipArchiveDataNode
DataNode representing a zip archive got from a stream.

Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ZipStreamDataNode(uk.ac.starlink.util.DataSource datsrc)`
Constructs a ZipStreamDataNode from a DataSource object.

## Method Summary

Modifier and Type
Method
Description
`protected Iterator`
`getChildIteratorAtLevel(String level, DataNode parent)`
Returns an iterator over the DataNodes at a given level in the hierarchy of this archive.
`protected List`
`getEntries()`
Returns a list of all the `ZipEntry` objects in this zip archive.

### Methods inherited from class uk.ac.starlink.datanode.nodes.ZipArchiveDataNode

`allowsChildren, getChildIterator, getEntriesAtLevel, getName, getNodeTLA, getNodeType, getPathSeparator, isMagic`

### Methods inherited from class uk.ac.starlink.datanode.nodes.DefaultDataNode

`beep, configureDetail, getChildMaker, getCreator, getDataObject, getDescription, getIcon, getLabel, getParentObject, getPathElement, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipStreamDataNode

public ZipStreamDataNode(uk.ac.starlink.util.DataSource datsrc) throws NoSuchDataException
Constructs a ZipStreamDataNode from a DataSource object.

Throws:
  `NoSuchDataException`

## Method Details

### getEntries

protected List getEntries() throws IOException
Description copied from class: `ZipArchiveDataNode`
Returns a list of all the `ZipEntry` objects in this zip archive.

Specified by:
  `getEntries` in class `ZipArchiveDataNode`
Returns:
  a List of all the `ZipEntry` objects which make up this zip archive.
Throws:
  `IOException`

### getChildIteratorAtLevel

protected Iterator getChildIteratorAtLevel(String level, DataNode parent) throws IOException
Description copied from class: `ZipArchiveDataNode`
Returns an iterator over the DataNodes at a given level in the hierarchy of this archive. The iterator creates DataNodes for each ZipEntry in this archive whose name begins with the supplied string `level`.

Specified by:
  `getChildIteratorAtLevel` in class `ZipArchiveDataNode`
Parameters:
  `level` - the required starting substring of the name of all ZipEntries to be represented in the result
  `parent` - the DataNode whose children the resulting nodes will be
Returns:
  an Iterator over `DataNode` objects corresponding to the ZipEntry objects specified by `level`
Throws:
  `IOException`